/**
 * ExtendedResponse.java
 *
 * File generated from the core::ExtendedResponse uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.hpd;

// End of user code
import java.util.List;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;

import org.w3c.dom.Document;
import org.w3c.dom.Node;


/**
 * Description of the class ExtendedResponse.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ExtendedResponse", propOrder = {
	"responseName",
	"response"
})
@XmlRootElement(name = "ExtendedResponse")
public class ExtendedResponse extends net.ihe.gazelle.hpd.LDAPResult implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	@XmlElement(name = "responseName", namespace = "urn:oasis:names:tc:DSML:2:0:core")
	public String responseName;
	@XmlElement(name = "response", namespace = "urn:oasis:names:tc:DSML:2:0:core")
	public String response;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node _xmlNodePresentation;
	
	
	/**
	 * Return responseName.
	 * @return responseName
	 */
	public String getResponseName() {
	    return responseName;
	}
	
	/**
	 * Set a value to attribute responseName.
	 * @param responseName.
	 */
	public void setResponseName(String responseName) {
	    this.responseName = responseName;
	}
	
	
	
	
	/**
	 * Return response.
	 * @return response
	 */
	public String getResponse() {
	    return response;
	}
	
	/**
	 * Set a value to attribute response.
	 * @param response.
	 */
	public void setResponse(String response) {
	    this.response = response;
	}
	
	
	
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.hpd");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:oasis:names:tc:DSML:2:0:core", "ExtendedResponse").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(ExtendedResponse extendedResponse, String _location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (extendedResponse != null){
   			net.ihe.gazelle.hpd.LDAPResult.validateByModule(extendedResponse, _location, cvm, diagnostic);
    	}
    }

}